Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.data
Class DatasetAdapterBase

    java.lang.Object
      de.grogra.pf.data.DatasetAdapterBase

All Implemented Interfaces:
  org.jfree.data.general.Dataset

Direct Known Subclasses:
  DatasetAdapter, HistogramAdapter, StatisticsAdapter

    public abstract class DatasetAdapterBase

extends java.lang.Object
implements org.jfree.data.general.Dataset

Method Summary
`void` | `addChangeListener(org.jfree.data.general.DatasetChangeListener listener)` Registers an object for notification of changes to the dataset.
`org.jfree.data.DomainOrder` | `getDomainOrder()`
`org.jfree.data.general.DatasetGroup` | `getGroup()` Returns the dataset group.
`int` | `getSeriesCount()`
`java.lang.Comparable` | `getSeriesKey(int series)`
`int` | `indexOf(java.lang.Comparable seriesKey)`
`void` | `removeChangeListener(org.jfree.data.general.DatasetChangeListener listener)` Deregisters an object for notification of changes to the dataset.
`void` | `setGroup(org.jfree.data.general.DatasetGroup group)` Sets the dataset group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addChangeListener

    public void addChangeListener(org.jfree.data.general.DatasetChangeListener listener)

  Description copied from interface: `org.jfree.data.general.Dataset`
  Registers an object for notification of changes to the dataset.

  Specified by:
    `addChangeListener` in interface `org.jfree.data.general.Dataset`
  Parameters:
    `listener` - the object to register.

### getDomainOrder

    public org.jfree.data.DomainOrder getDomainOrder()

### getGroup

    public org.jfree.data.general.DatasetGroup getGroup()

  Description copied from interface: `org.jfree.data.general.Dataset`
  Returns the dataset group.

  Specified by:
    `getGroup` in interface `org.jfree.data.general.Dataset`
  Returns:
    The dataset group.

### getSeriesCount

    public int getSeriesCount()

### getSeriesKey

    public java.lang.Comparable getSeriesKey(int series)

### indexOf

    public int indexOf(java.lang.Comparable seriesKey)

### removeChangeListener

    public void removeChangeListener(org.jfree.data.general.DatasetChangeListener listener)

  Description copied from interface: `org.jfree.data.general.Dataset`
  Deregisters an object for notification of changes to the dataset.

  Specified by:
    `removeChangeListener` in interface `org.jfree.data.general.Dataset`
  Parameters:
    `listener` - the object to deregister.

### setGroup

    public void setGroup(org.jfree.data.general.DatasetGroup group)

  Description copied from interface: `org.jfree.data.general.Dataset`
  Sets the dataset group.

  Specified by:
    `setGroup` in interface `org.jfree.data.general.Dataset`
  Parameters:
    `group` - the dataset group.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD